package com.codegeist.fisheye.domain.query;

import org.junit.Test;

public class AuthorRestrictionTest extends AbstractRestrictionTest {

	@Test(expected=IllegalArgumentException.class)
	public void testNullAuthor() throws Exception {
		generateEyeQl(new AuthorRestriction(null));
	}
	
	@Test
	public void testAuthor() throws Exception {
		checkEyeQl("author = author1", new AuthorRestriction("author1"));
	}
}
