package com.codegeist.fisheye.internal.ui.search;

import org.eclipse.search.ui.ISearchResult;
import org.eclipse.search.ui.SearchResultEvent;

public class MatchEvent extends SearchResultEvent {
	private static final long serialVersionUID = 1L;
	private QueryMatch match;
	
	MatchEvent(ISearchResult result, QueryMatch match) {
		super(result);
		this.match = match;
	}
	
	public QueryMatch getMatch() {
		return match;
	}
}
