package com.codegeist.fisheye.domain;


public class PathHistory {
	private final Revision[] revisions;
	
	public PathHistory(Revision[] revisions) {
		this.revisions = revisions;
	}
	
	public Revision[] getRevisions() {
		return revisions;
	}
	
	@Override
	public String toString() {
		return revisions.length + " revisions";
	}
}
